import store from '../store/index.js'
const baseurl = store.state.baseURL
const getUpAppUrl = 'https://grayscale.bet/index/version'
const iosAppStroeUrl =
	'https://apps.apple.com/cn/app/%E4%BA%91%E5%8A%9B%E5%95%86%E5%9F%8E/id1625060402';

// 获取app是否需要升级
export function getUpApp() {
	// 获取当前运行系统
	let hj = uni.getSystemInfoSync().platform;
	// 获取仓库app数据对象
	let app = store.state.isShowIllegality;
	// 当前系统为安卓则显示数据
	if (hj === 'android') {
		// 设置默认显示数据
		app = true;
		// store.commit('changeState', {
		// 	name: 'app',
		// 	value: app
		// });
	}
	// console.log(getUpAppUrl, '123456');
	uni.request({
		url: getUpAppUrl,
		method: 'GET',
		data: {},
		success: res => {
			let r = res.data;
			console.log(r, '123456');
			plus.runtime.getProperty(plus.runtime.appid, function(wgtinfo) {
				// 保存线上版本号
				let version = r.data.app;
				// 获取线上版本
				const arr = r.data.version.split('.');
				// 获取当前系统
				const arr1 = wgtinfo.version.split('.');
				for (let i = 0; i < arr.length; i++) {
					// 线上版本号
					const x = +arr[i];
					// 线下版本号
					const y = +arr1[i];
					console.log(arr, arr1, "版本号")
					// 判断当前版本是否为小于等于线上版本
					if (x >= y) {
						console.log('dashabi2020')
						console.log(x, y)
						// 只有ios才需要显示
						if (hj === 'ios') {
							// 设置显示数据
							app = true;
							store.commit('changeState', {
								name: 'app',
								value: app
							});
						}
						// 当版本较低时更新数据
						if (x > y) {
							uni.showModal({
								title: this.$t('popup.ts'),
								content: this.$t('popup.qgxyy'),
								confirmText: this.$t('popup.qr'),
								cancelText: this.$t('popup.qx'),
								showCancel: false,
								success(e) {
									if (hj === 'ios') {
										// plus.runtime.openURL(
										// 	iosAppStroeUrl
										// );
									}
									if (hj === 'android') {
										// plus.runtime.openURL('http://lxscimg.liuniu946.com/lxscV' + version + '.apk');
										downApp(version);

									}
								}
							});
							return;
						}
					}
				}
			});
		},
		fail: res => {
			console.log(res, 'shib');
		}
	});
}
// 下载app
export function downApp(version) {
	console.log(version)
	plus.nativeUI.showWaiting('下载升级包...');
	plus.downloader
		.createDownload(baseurl + version, {}, (d, status) => {
			if (status == 200) {
				installApp(d.filename); // 安装app
			} else {
				plus.nativeUI.alert('下载升级包失败！');
			}
			plus.nativeUI.closeWaiting();
		})
		.start();
}
// 安装app
export function installApp(path) {
	plus.nativeUI.showWaiting('安装升级包...');
	plus.runtime.install(
		path, {},
		function() {
			plus.nativeUI.closeWaiting();
			uni.showToast({
				icon: 'none',
				title: '升级完成，准备重新载入'
			});
			setTimeout(_ => {
				uni.hideToast();
				plus.runtime.restart();
			}, 1000);
		},
		function(e) {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.alert('安装升级包失败[' + e.code + ']：' + e.message);
		}
	);
}
